//////////////////////////////////////////////////////////////////////////
//                                                                          
// rootlogon.C                                                            
//                                                                          
// Load Lib, paths and possible scripts to the analyzer upon start
//                                                                          
//////////////////////////////////////////////////////////////////////////
//	
// Author : Jin Huang <mailto:jinhuang@jlab.org>    Mar 2008
//
//////////////////////////////////////////////////////////////////////////
{
    printf("\nrootlogon.C: Loading BigBite Library...");
    gSystem->Load("libBigBite.so");
    //gSystem->Load("libBBNormAna.so");

    //Load more libs here, if necessary. 
    //Make sure it's in path of $LD_LIBRARY_PATH


    //following should be loaded if you want to compile replay script!

    //printf("\nrootlogon.C: Adding include directories...");
    //gSystem->AddIncludePath("-I/adaqfs/home/bbsoftw/software/bigbitelib");
    //gInterpreter->AddIncludePath("/adaqfs/home/bbsoftw/software/bigbitelib");

    //gSystem->AddIncludePath("-I$ANALYZER");
    //gInterpreter->AddIncludePath("$ANALYZER/");

    //gSystem->AddIncludePath("-I$ANALYZER/include");
    //gInterpreter->AddIncludePath("$ANALYZER/src/include");

//     gSystem->AddIncludePath("-I$ANALYZER/hana_decode");
//     gInterpreter->AddIncludePath("$ANALYZER/hana_decode/");

//     gSystem->AddIncludePath("-I$ANALYZER/hana_scaler");
//     gInterpreter->AddIncludePath("$ANALYZER/hana_scaler/");


    
    //add extra directory of header file here. 

    gSystem->Load("$ROOTSYS/cint/stl/exception");


    char* macros[] =
    {   //list of scripts to load, end with "\0"
      "def.h",
      "HallA_style.cxx",
      "AnaShowRun.C",
      "online_C.so",
      //"physics3_C.so",
              "\0"
    };

    if (*macros[0]!=0)
        cout << "\nrootlogon.C: Loading macro's:" << endl;
    for(UInt_t i=0; *macros[i]!=0; i++) {
        cout << "\t " << macros[i] << endl;
        gROOT->LoadMacro(macros[i]);
    }

    printf("\nrootlogon.C: Done!\n\n"); 

    printf("----------------------------------------------------\n"
	   "TODO: Add your shift workder message here!\n"
	   "----------------------------------------------------\n"
	   "\n");
}

