//////////////////////////////////////////////////////////////////////////
//
// Bigbite lib replay script definition header
//
// It is suggested to use this file set replay environmental variable for 
// different machine. So, they can use same replay script
//	
//////////////////////////////////////////////////////////////////////////
//	
//	Author : Jin Huang (jinhuang@jlab.org)    Aug 2007
//	Modify History:
//
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_REPLAY_DEF
#define ROOT_REPLAY_DEF

#include "TObject.h" //trick to avoid error: `Int_t' does not name a type

static const char* PATHS[] = {
    ".",
    "/agen4/data1/raw/hadron/",
    "/agen4/data2/raw/hadron/hadron",
    "/adaql2/data1",
    "/adaql2/data2",
    "/adaql2/data3",
    "/adaql2/data4",
    "/local/scratch/home/jinhuang/BigBite/RawData",
    0
};

#define RAW_DATA_FORMAT     "%s/e04007_%d.dat.0"

#define SUMMARY_PHYSICS_FORMAT "./summaryphy_%d.log"

#define OUT_DEFINE_FILE		"./replay.odef"
#define CUT_DEFINE_FILE		"./replay.cdef"

#define	OUT_FILE_FORMAT	\
    "/adaql10/work1/e04007/onlana_rootfiles/e04007_%d.root"

#define DEF_REPLAY_NUM      -1

/*
#define OUT_FILE_FORMAT_DET \
    "/adaql10/work1/e04007/onlana_rootfiles/e04007_det_%d.root"
#define OUT_FILE_FORMAT_PHYS \
    "/adaql10/work1/e04007/onlana_rootfiles/e04007_phys_%d.root"
*/
//////////////////////////////////////////////////////////////////
// variables for replay_test.C
//////////////////////////////////////////////////////////////////


#define DEFAULT_RUN_NUM		1435
#define	DEFAULT_EVENT_NUM	1
#define REPLAY_LOG_FILE		"replay_test.log"
#define REPLAY_LOG_FILE2	"replay_test_old_code.log"


#endif//#define ROOT_REPLAY_DEF

